/* dhcp6_nic.c
 *
 * Network Interface Configurator for the DHCPv6 IPv6 DHCP client library.
 *
 *  Copyright(C) Jason Vas Dias <jvdias@redhat.com> Red Hat Inc. May 2006
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation at 
 *           http://www.fsf.org/licensing/licenses/gpl.txt
 *  and included in this software distribution as the "LICENSE" file.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */
#include <sys/types.h>
#include <unistd.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <string.h>
#include <time.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/queue.h>

/* dhcpv6 includes: */

#include <dhcp6_nic.h>

#define LIBDHCP_CONTROL_H
#include <dhcp6client.h>

/* #include <queue.h> 
 * dhcpv6 uses an older copy of BSD queue.h, which 
 * is happily compatible with the new version in glibc
 */

#include <dhcpv6/dhcp6.h>
#include <dhcpv6/config.h>
#include <dhcpv6/lease.h>
#undef malloc
#undef realloc
#undef calloc
#undef free
#include <malloc.h>


